uucico(8)

NAZWA
uucico - demon transferów plików UUCP

SKŁADNIA
uucico [ opcje ]

OPIS
Demon uucico przetwarza żądania transferów plików skolejkowane przez polecenia uucp(1) i uux(1). Jest uruchamiany, gdy wywołane zostanie uucp lub uux (chyba że przekazana im zostanie opcja -r). Jest również często uruchamiany periodycznie przy użyciu tabel crontab. Podczas uruchomienia z opcjami -r1, --master, -s, --system lub -S, demon zapoczątkuje połączenie telefoniczne ze zdalnym systemem, pracując w trybie master. W przeciwnym wypadku, demon uruchomi się w trybie biernym, przyjmując połączenie ze zdalnego systemu. Zazwyczaj konfigurowany jest specjalny użytkownik dla UUCP, który automatycznie uruchamia uucico podczas połączenia. Gdy uucico kończy działanie, wywołuje demona uuxqt(8), chyba że podano mu opcję -q lub --nouuxqt; uuxqt(8) wykonuje wszelkie żądania zadań utworzone przez uux(1) na zdalnym komputerze i wszelkie zadania utworzone lokalnie, które otrzymały zdalne pliki, na które oczekiwały. If a call fails, uucico will normally refuse to retry the call until a certain (configurable) amount of time has passed. This may be overriden by the -f, --force, or -S option. Opcji -l, --prompt, -e lub --loop można użyć do zmuszenia uucico do przedstawienia swoich własnych zachęt zamiast "Login:" i "Password:". Gdy dzwoni inny demon, ujrzy on te zachęty i zaloguje się jak zwykle. Nazwa użytkownika i hasło będą sprawdzane w oddzielnej liście uucico zamiast w pliku /etc/passwd; jest jednak możliwe na większości systemów doprowadzenie uucico do korzystania z pliku /etc/passwd. Opcje -l lub --prompt przedstawią zachętę jednorazowo, a potem zakończą działanie. W tym trybie administrator UUCP lub superużytkownik może użyć opcji -u lub --login aby wymusić nazwę użytkownika, wówczas uucico nie będzie o nią pytać. Opcja -e lub --loop będzie pytać gdy pierwsza sesja zostanie zakończona; w tym trybie uucico będzie stale kontrolować port. Jeśli uucico otrzyma sygnał SIGQUIT, SIGTERM lub SIGPIPE, to zakończy czysto każdą bieżącą konwersację ze zdalnym systemem i zakończy pracę. Jeśli otrzyma sygnał SIGHUP, przerwie każdą konwersację, lecz będzie wciąż dzwonić (jeśli wywołane z opcjami -r1 lub --master) i przyjmować połączenia telefoniczne (jeśli wywołane z opcjami -e lub --loop) innych systemów. Jeśli otrzyma sygnał SIGINT, zakończy bieżącą konwersację, lecz nie będzie już dokonywać lub odbierać innych połączeń.

OPCJE
Programowi uucico można przekazać następujące opcje:

-r1, --master
    Uruchamia się w trybie master (dzwoni do systemu); implikowane przez -s, --system lub -S. Jeśli nie podano systemu, dzwoni do dowolnego systemu, dla którego oczekuje jakieś zadanie.

-r0, --slave
    Uruchamia się w trybie biernym. Tak jest domyślnie.

-s system, --system system
    Łączy się z podanym systemem.

-S system
    Dzwoni do podanego systemu, ignorując wszelkie okresy oczekiwania. Jest to równoważne -s system -f.

-f, --force
    Ignoruje wszelkie wymagane oczekiwania na zadzwonienie do jakichkolwiek systemów.

-l, --prompt
    Pyta o nazwę użytkownika i hasło przy użyciu "login:" i "Password:". Umożliwia uruchamianie uucico z inetd(8). Nazwa użytkownika i hasło są sprawdzane według pliku z hasłami, należącego do UUCP, które najprawdopodobniej nie ma żadnego związku z plikiem /etc/passwd. Opcja --login może być używana do wymuszania nazwy użytkownika - wówczas uucico zapyta tylko o hasło.

-p port, --port port
    Podaje port, do którego dzwonić lub na którym nasłuchiwać.

-e, --loop
    Wchodzi w nieskończoną pętlę zapytań o login/password i uruchamia się w trybie biernym. Program nie zatrzyma się sam z siebie; trzeba użyć polecenia kill(1), aby go zamknąć.

-w, --wait
    After calling out (to a particular system when -s, --system, or -S is specifed, or to all systems which have work when just -r1 or --master is specifed), begin an endless loop as with --loop.

-q, --nouuxqt
    Nie uruchamia demona uuxqt(8) po zakończeniu.

-c, --quiet
    Jeśli o tej porze nie są dozwolone połączenia, nie wykonuje połączenia, lecz również nie daje informacji o błędzie do pliku dziennika i nie odnawiaj statusu systemu (zgłaszanego przez uustat(1)). Może to mieć zastosowanie dla automatyzowania skryptów, które mogą po prostu próbować dzwonić do każdego systemu niż martwić się o to, do którego w danej chwili można zadzwonić. Opcja ta eliminuje również informację dziennika, wskazującą, że nie ma już zadań do wykonania.

-C, --ifwork
    zwoni do systemów podanych przez -s, --system lub -S jedynie w wypadku, gdy są dla nich jakieś zadania.

-D, --nodetach
    Nie odłącza się od kontrolującego terminala. Normalnie uucico odłącza się od terminala przed jakimkolwiek wydzwonieniem do innego systemu i przed wywołaniem uuxqt. Opcja ta eliminuje takie zachowanie.

-u nazwa, --login nazwa
    Ustawia nazwę logującego się użytkownika. Będzie ona użyta zamiast pobranej nazwy wywołującego użytkownika. Tej opcji może użyć tylko administrator UUCP lub superużytkownik. Jeśli zastosowano ją w połączeniu z --prompt, to spowoduje, że uucico zapyta tylko o hasło, pomijając nazwę użytkownika.

-z, --try-next
    Jeśli połączenie się nie uda po osiągnięciu zdalnego systemu, próbuje następnej alternatywy zamiast po prostu zakończyć.

-i typ, --stdin typ
    Ustawia typ portu wykorzystywanego podczas używania standardowego wejścia. Jedynym obsługiwanym typem jest TLI i jest on dostępny tylko na maszynach obsługujących ten interfejs sieciowy. Podanie -iTLI powoduje, że uucico zacznie używać wywołań TLI do dokonywania wejścia/wyjścia.

-x typ, -X typ, --debug typ
    Włącza dany rodzaj diagnostyki. Rozpoznawane są następujące: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Można podawać wiele typów rozdzielonych przecinkami, a opcja --debug może pojawić się wiele razy. Można podać także liczbę, która włączy kolejne typy powyższej listy; np, --debug 2 jest równoważne --debug abnormal,chat. Wyjście diagnostyczne jest wysyłane do pliku informacji diagnostycznych, który można wypisać poleceniem uulog -D.

-I plik, --config plik
    Wskazuje plik konfiguracyjny, z którego ma korzystać program. Opcja ta może nie być dostępna, zależnie od tego, jak skompilowano uucico.

-v, --version
    Pokazuje informację o wersji programu i kończy działanie.

--help
    Wyświetla komunikat pomocy i wychodzi.

ZOBACZ TAKŻE
kill(1), uucp(1), uux(1), uustat(1), uuxqt(8)

AUTOR
Ian Lance Taylor <ian@airs.com>

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.